﻿

//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------


namespace BVDHYD_API.Models
{

using System;
using System.Data.Entity;
using System.Data.Entity.Infrastructure;

using System.Data.Entity.Core.Objects;
using System.Linq;


public partial class StoredContainer : DbContext
{
    public StoredContainer()
        : base("name=StoredContainer")
    {

    }

    protected override void OnModelCreating(DbModelBuilder modelBuilder)
    {
        throw new UnintentionalCodeFirstException();
    }



    public virtual ObjectResult<string> sp_select_doctor(Nullable<int> limit, Nullable<long> offset)
    {

        var limitParameter = limit.HasValue ?
            new ObjectParameter("limit", limit) :
            new ObjectParameter("limit", typeof(int));


        var offsetParameter = offset.HasValue ?
            new ObjectParameter("offset", offset) :
            new ObjectParameter("offset", typeof(long));


        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<string>("sp_select_doctor", limitParameter, offsetParameter);
    }


    public virtual ObjectResult<string> sp_select_dutrukham(Nullable<int> limit, Nullable<long> offset)
    {

        var limitParameter = limit.HasValue ?
            new ObjectParameter("limit", limit) :
            new ObjectParameter("limit", typeof(int));


        var offsetParameter = offset.HasValue ?
            new ObjectParameter("offset", offset) :
            new ObjectParameter("offset", typeof(long));


        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<string>("sp_select_dutrukham", limitParameter, offsetParameter);
    }


    public virtual ObjectResult<string> sp_select_lichkham(Nullable<int> limit, Nullable<long> offset)
    {

        var limitParameter = limit.HasValue ?
            new ObjectParameter("limit", limit) :
            new ObjectParameter("limit", typeof(int));


        var offsetParameter = offset.HasValue ?
            new ObjectParameter("offset", offset) :
            new ObjectParameter("offset", typeof(long));


        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<string>("sp_select_lichkham", limitParameter, offsetParameter);
    }


    public virtual ObjectResult<string> sp_select_lichkhamthe(Nullable<int> limit, Nullable<long> offset)
    {

        var limitParameter = limit.HasValue ?
            new ObjectParameter("limit", limit) :
            new ObjectParameter("limit", typeof(int));


        var offsetParameter = offset.HasValue ?
            new ObjectParameter("offset", offset) :
            new ObjectParameter("offset", typeof(long));


        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<string>("sp_select_lichkhamthe", limitParameter, offsetParameter);
    }


    public virtual ObjectResult<string> sp_select_table(string table_name, Nullable<int> limit, Nullable<long> offset)
    {

        var table_nameParameter = table_name != null ?
            new ObjectParameter("table_name", table_name) :
            new ObjectParameter("table_name", typeof(string));


        var limitParameter = limit.HasValue ?
            new ObjectParameter("limit", limit) :
            new ObjectParameter("limit", typeof(int));


        var offsetParameter = offset.HasValue ?
            new ObjectParameter("offset", offset) :
            new ObjectParameter("offset", typeof(long));


        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<string>("sp_select_table", table_nameParameter, limitParameter, offsetParameter);
    }


    public virtual ObjectResult<sp_get_tables_Result> sp_get_tables()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<sp_get_tables_Result>("sp_get_tables");
    }


    public virtual int usp_Get_DatSoKham()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DatSoKham");
    }


    public virtual int usp_Get_DM_BacSi()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DM_BacSi");
    }


    public virtual int usp_Get_DM_DanToc()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DM_DanToc");
    }


    public virtual int usp_Get_DM_Khoa()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DM_Khoa");
    }


    public virtual int usp_Get_DM_NgheNghiep()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DM_NgheNghiep");
    }


    public virtual int usp_Get_DM_Phong()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DM_Phong");
    }


    public virtual int usp_Get_DM_PhuongXa()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DM_PhuongXa");
    }


    public virtual int usp_Get_DM_QuanHuyen()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DM_QuanHuyen");
    }


    public virtual int usp_Get_DM_QuocGia()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DM_QuocGia");
    }


    public virtual int usp_Get_DM_Tinh()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DM_Tinh");
    }


    public virtual int usp_Get_DuTruKham()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_DuTruKham");
    }


    public virtual int usp_Get_LichKhamBenh()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_LichKhamBenh");
    }


    public virtual int usp_Get_LichKhamThe()
    {

        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("usp_Get_LichKhamThe");
    }


    public virtual ObjectResult<string> usp_Get_BenhNhan_GetThongTin(string ho, string ten, Nullable<bool> gioiTinh, Nullable<short> namSinh, Nullable<short> iDTinh)
    {

        var hoParameter = ho != null ?
            new ObjectParameter("Ho", ho) :
            new ObjectParameter("Ho", typeof(string));


        var tenParameter = ten != null ?
            new ObjectParameter("Ten", ten) :
            new ObjectParameter("Ten", typeof(string));


        var gioiTinhParameter = gioiTinh.HasValue ?
            new ObjectParameter("GioiTinh", gioiTinh) :
            new ObjectParameter("GioiTinh", typeof(bool));


        var namSinhParameter = namSinh.HasValue ?
            new ObjectParameter("NamSinh", namSinh) :
            new ObjectParameter("NamSinh", typeof(short));


        var iDTinhParameter = iDTinh.HasValue ?
            new ObjectParameter("IDTinh", iDTinh) :
            new ObjectParameter("IDTinh", typeof(short));


        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<string>("usp_Get_BenhNhan_GetThongTin", hoParameter, tenParameter, gioiTinhParameter, namSinhParameter, iDTinhParameter);
    }


    public virtual ObjectResult<string> usp_Get_BenhNhan_SoHoSo(string soHoSo)
    {

        var soHoSoParameter = soHoSo != null ?
            new ObjectParameter("SoHoSo", soHoSo) :
            new ObjectParameter("SoHoSo", typeof(string));


        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<string>("usp_Get_BenhNhan_SoHoSo", soHoSoParameter);
    }


    public virtual ObjectResult<string> usp_Get_BenhNhan_GetThongTin_PhuongXa(string ho, string ten, Nullable<bool> gioiTinh, Nullable<short> namSinh, Nullable<short> iDTinh, Nullable<short> iDQuanHuyen, Nullable<short> iDPhuongXa)
    {

        var hoParameter = ho != null ?
            new ObjectParameter("Ho", ho) :
            new ObjectParameter("Ho", typeof(string));


        var tenParameter = ten != null ?
            new ObjectParameter("Ten", ten) :
            new ObjectParameter("Ten", typeof(string));


        var gioiTinhParameter = gioiTinh.HasValue ?
            new ObjectParameter("GioiTinh", gioiTinh) :
            new ObjectParameter("GioiTinh", typeof(bool));


        var namSinhParameter = namSinh.HasValue ?
            new ObjectParameter("NamSinh", namSinh) :
            new ObjectParameter("NamSinh", typeof(short));


        var iDTinhParameter = iDTinh.HasValue ?
            new ObjectParameter("IDTinh", iDTinh) :
            new ObjectParameter("IDTinh", typeof(short));


        var iDQuanHuyenParameter = iDQuanHuyen.HasValue ?
            new ObjectParameter("IDQuanHuyen", iDQuanHuyen) :
            new ObjectParameter("IDQuanHuyen", typeof(short));


        var iDPhuongXaParameter = iDPhuongXa.HasValue ?
            new ObjectParameter("IDPhuongXa", iDPhuongXa) :
            new ObjectParameter("IDPhuongXa", typeof(short));


        return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<string>("usp_Get_BenhNhan_GetThongTin_PhuongXa", hoParameter, tenParameter, gioiTinhParameter, namSinhParameter, iDTinhParameter, iDQuanHuyenParameter, iDPhuongXaParameter);
    }

}

}

